Page MenuHomePhabricator

Step 1: Loading bar for saving (impact: low)
Closed, ResolvedPublic8 Estimated Story Points

Description

When a user pushes the "publish" button to save their edit, the transmission of the data might not be immediate and thus the bridge would remain open until the data would be sent.

In order to avoid confusion for the user, who would expect an immediate closing of the modal and a visible change of information in the infobox, we should have a loading indicator so they know that their request is being processed until the modal is either closed on success or an error message appears (to be handled in a different ticket).

MOCKS

specs can be found here

Acceptance criteria

  • uses Initializing component (feel free to rename ;-))
    • this implies using the same timings as for the loading bar on init
  • add a semitransparent overlay (= termbox' Overlay with IndeterminateProgressBar) immediately after the user hits save
  • after clicking publish
    • the publish button becomes disabled (primaryprogressivedisabled)
    • the cancel button becomes disabled
  • remove global ESC handling (which may be readded in a dedicated story incl confirmation prompt not to lose data, ...)

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptNov 5 2019, 4:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher triaged this task as Medium priority.Nov 5 2019, 9:50 PM

notes: we'd need a transparent overlay that turns opaque after 1sec

Charlie_WMDE updated the task description. (Show Details)Dec 3 2019, 11:03 AM
Charlie_WMDE removed Charlie_WMDE as the assignee of this task.Dec 3 2019, 2:32 PM
Charlie_WMDE updated the task description. (Show Details)
Pablo-WMDE updated the task description. (Show Details)Dec 3 2019, 3:48 PM
darthmon_wmde renamed this task from Loading bar for saving to Step 1: Loading bar for saving.Dec 5 2019, 1:09 PM
Charlie_WMDE updated the task description. (Show Details)Dec 5 2019, 3:21 PM

TODO for Sarai and me: decide on whether the cancel button should also be disabled and what the timeout time for the saving time should be

Lydia_Pintscher renamed this task from Step 1: Loading bar for saving to Step 1: Loading bar for saving (impact: low).Dec 8 2019, 1:20 PM
Sarai-WMDE updated the task description. (Show Details)Dec 17 2019, 10:59 AM
darthmon_wmde set the point value for this task to 8.Jan 14 2020, 11:55 AM
Charlie_WMDE removed Sarai-WMDE as the assignee of this task.Jan 14 2020, 11:55 AM
Charlie_WMDE added a subscriber: Sarai-WMDE.
Pablo-WMDE moved this task from To do to Doing on the Wikidata-Bridge-Sprint-14 board.

Change 575292 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: allow interaction with Loading in storybook

https://gerrit.wikimedia.org/r/575292

Change 575546 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: allow interaction with Loading in storybook

https://gerrit.wikimedia.org/r/575546

Change 575292 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: allow interaction with Loading in storybook

https://gerrit.wikimedia.org/r/575292

Change 576314 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: improve Loading documentation

https://gerrit.wikimedia.org/r/576314

Change 576314 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: improve Loading documentation

https://gerrit.wikimedia.org/r/576314

Charlie_WMDE closed this task as Resolved.Mar 5 2020, 12:50 PM
Charlie_WMDE claimed this task.
Charlie_WMDE moved this task from Verification to Done on the Wikidata-Bridge-Sprint-15 board.

Not in the AC but ideally the the overlay would not be affected by the scrolling. moving the ticket to done because this was not an AC but i will make an extra ticket for this for step n.

Change 575546 abandoned by Lucas Werkmeister (WMDE):
bridge: allow interaction with Loading in storybook

https://gerrit.wikimedia.org/r/575546